<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="modal-header">
  <h4
    class="modal-title"
    id="modal-basic-title"
    [innerText]="secondaryActionEnum.AddDesksToNotify | actionName">
  </h4>
  <button
    type="button"
    class="btn-close"
    [title]="commonMessages.CLOSE"
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
</div>

<div class="modal-body">
  <form class="ls-form">

    <label [innerText]="messages.AVAILABLE_DESKS_LABEL"></label>

    <div class="d-flex mb-4">
      <app-desk-search-input
        class="w-100 me-2"
        [(desks)]="_selectedDeskList"
        [multiple]="false"
        [clearable]="false"
        [genericValidatorsAvailable]="false"
        [retrieveDeskFunction]="retrieveDesksFn">
      </app-desk-search-input>

      <button
        ls-button
        [icon]="commonIcons.ADD_ICON"
        [text]="commonMessages.ADD"
        [disabled]="_selectedDeskList.length === 0"
        (click)="selectDesk()">
      </button>

    </div>

    <label
      id="selectedDeskLabel"
      [innerText]="messages.SELECTED_DESKS_LABEL">
    </label>

    <table
      aria-labelledby="selectedDeskLabel"
      class="mt-2 bg-white table table-striped table-borderless border">
      <thead class="border">
        <tr>
          <th
            scope="col"
            class="th-sm"
            [innerText]="commonMessages.NAME">
          </th>
          <th
            scope="col"
            class="th-sm col-buttons-fixed-size"
            [innerText]="commonMessages.ACTIONS">
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let desk of desksToNotify">
          <td [innerText]="desk.name | namePipe"></td>
          <td>
            <button
              type="button"
              class="btn btn-sm btn-outline-danger me-2"
              (click)="removeDesk(desk.id)">
              <fa-icon
                [icon]="commonIcons.REMOVE_ICON"
                [ngbTooltip]="commonMessages.REMOVE">
              </fa-icon>
            </button>
          </td>
        </tr>
      </tbody>
    </table>
  </form>

</div>

<div class="modal-footer">
  <button
    ls-button-cancel
    (click)="activeModal.close(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
  <button
    ls-button
    (click)="validate()"
    [disabled]="!isFormValid()"
    [icon]="secondaryActionEnum.AddDesksToNotify | actionIcon"
    [text]="secondaryActionEnum.AddDesksToNotify | actionName: true"
    [processing]="isProcessing">
  </button>
</div>
